package com.example.profileviewer;

import java.io.File;

import android.app.Activity;
import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.view.View.OnClickListener;
import android.widget.Button;
import android.widget.EditText;

public class EditProfile extends Activity implements OnClickListener {

	private Profiles profiles = new Profiles();
	private String   name;
	private boolean  saveData = true;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
		setContentView(R.layout.edit_profile);
		
		name = getIntent().getStringExtra("name");

		Button cancel_button = (Button)findViewById(R.id.cancel);
		Button save_button   = (Button)findViewById(R.id.save);

		cancel_button.setOnClickListener(this);
		save_button.setOnClickListener(this);


	}

	public void onClick(View v) {
		switch (v.getId()) {
		case R.id.save:
			finish();
			break;
		case R.id.cancel:
			saveData = false;
			finish();
			break;
		}
	}

    @Override
    public void onResume() {
    	super.onResume();
        Log.i("EditProfile", "onResume()");
        saveData = true;
        
		profiles.load(new File(getFilesDir(), "profiles.bin"));
		
		ProfileData data = profiles.getUser(name);
		
		EditText first_name = (EditText) findViewById(R.id.first_name);
		EditText last_name  = (EditText) findViewById(R.id.last_name);
		EditText email      = (EditText) findViewById(R.id.email);
		
		first_name.setText(data.getFirstName());
		last_name.setText(data.getLastName());
		email.setText(data.getEmail());
    }
    
    @Override
    public void onPause() {
    	super.onPause();
        Log.i("EditProfile", "onPause()");
        if (saveData) {
    		ProfileData data = profiles.getUser(name);
    		
    		EditText first_name = (EditText) findViewById(R.id.first_name);
    		EditText last_name  = (EditText) findViewById(R.id.last_name);
    		EditText email      = (EditText) findViewById(R.id.email);
    		
    		data.setFirstName(first_name.getText().toString());
    		data.setLastName(last_name.getText().toString());
    		data.setEmail(email.getText().toString());
        	
    		profiles.save(new File(getFilesDir(), "profiles.bin"));

        }
    }

}
