package com.example.simplepaint;

import android.app.Activity;
import android.content.Context;
import android.content.SharedPreferences;
import android.content.SharedPreferences.Editor;
import android.graphics.Paint;
import android.os.Bundle;
import android.widget.RadioGroup;
import android.widget.RadioGroup.OnCheckedChangeListener;

public class Main extends Activity {
    
    private PaintView v;
    private SharedPreferences prefs;
    
    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.main);
        
        prefs = getSharedPreferences("SimplePaint", Context.MODE_PRIVATE);

        v = (PaintView) findViewById(R.id.paintView);
        v.requestFocus();
        
        RadioGroup colors = (RadioGroup) findViewById(R.id.colors);
        colors.setOnCheckedChangeListener(new OnCheckedChangeListener() {

			@Override
			public void onCheckedChanged(RadioGroup group, int checkedId) {
				Paint  p     = new Paint();
				String color = null;
				switch (checkedId) {
					case R.id.black:
						color = "black";
						break;
					case R.id.red:
						color = "red";
						p.setARGB(255, 255, 0, 0);
						break;
					case R.id.green:
						color = "green";
						p.setARGB(255, 0, 255, 0);
						break;
					case R.id.blue:
						color = "blue";
						p.setARGB(255, 0, 0, 255);
						break;
				}
				v.setCurrentPaint(p);
				Editor editor = prefs.edit();
				editor.putString("color", color);
				editor.commit();
			}
        	
        });

        String color = prefs.getString("color", "black");

		Paint p = new Paint();
        if (color.equals("black")) {
        		colors.check(R.id.black);
        } else if (color.equals("red")) {
        		colors.check(R.id.red);
        		p.setARGB(255, 255, 0, 0);
        } else if (color.equals("green")) {
        		colors.check(R.id.green);
        		p.setARGB(255, 0, 255, 0);
        } else {
        		colors.check(R.id.blue);
        		p.setARGB(255, 0, 0, 255);
        }
		v.setCurrentPaint(p);
        
    }
}